<div class="mt-5">
    <div class="pb-3">
        <h3>Registro de reclamo</h3>
    </div>
    <div class= "p-0">
        <form action="" class="p-0" method="post" (ngSubmit)="registerIncident()" ngNativeValidate>
            <div class="row">
                    <div class ="col-sm-12 col-md-6">
                    <div class="row">
                            <div class="col-md-4 col-12">
                                <label for="" class="mt-2">Tipo Documento</label>
                            </div>
                            <div class="col-md-8 col-12">    
                                <select name = "incident" [(ngModel)]="incident.document_type" class="form-control mt-2" id="type" name="type">
                                    <option *ngFor = "let type of identidad"  [value]= "type.name">{{type.name}}</option>
                                </select>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-4 col-12">
                                <label *ngIf="incident.document_type == 'RUT'" for="" class="mt-2">RUT</label>
                                <label *ngIf="incident.document_type == 'Pasaporte'" for="" class="mt-2">Pasaporte</label>
                                <label *ngIf="incident.document_type == 'DNI'" for="" class="mt-2">DNI</label>
                            </div>
                            <div class="col-md-8 col-12">    
                                <input type="text" [(ngModel)]="incident.rut" class="form-control mt-2" id="user" name="user" placeholder="{{user}}" autocomplete="off">
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-4 col-12">
                                <label for="" class="mt-2">Nombre</label>
                            </div>
                            <div class="col-md-8 col-12">    
                                <input type="text" [(ngModel)]="incident.name" class="form-control mt-2" id="user" name="user" placeholder="{{user}}" autocomplete="off" >
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-4 col-12">
                                <label for="" class="mt-2">Apellido</label>
                            </div>
                            <div class="col-md-8 col-12">    
                                <input type="text" [(ngModel)]="incident.last_name" class="form-control mt-2" id="user" name="user" placeholder="{{user}}" autocomplete="off" >
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-4 col-12">
                                <label for="" class="mt-2">Producto</label>
                            </div>
                            <div class="col-md-8 col-12">    
                                <input type="text" [(ngModel)]="incident.product" class="form-control mt-2" id="user" name="user" placeholder="{{user}}" autocomplete="off" >
                            </div>
                        </div>
                        <div class="row">
                                <div class="col-md-4 col-12">
                                    <label for="" class="mt-2">Motivo del reclamo</label>
                                </div>
                                <div class="col-md-8 col-12">    
                                    <select name = "incident" [(ngModel)]="incident.subject" class="form-control mt-2" id="user" name="user" autocomplete="off">
                                        <option *ngFor = "let s of subject"  [value]= "s.name">{{s.name}}</option>
                                    </select>
                                </div>
                            </div>
                        <div class="row">
                                <div class="col-md-4 col-12">
                                    <label for="" class="mt-2">Adjuntar Respaldo</label>
                                </div>
                                <div class="col-md-8 col-12 mt-3">
                                    <div class="drop-container" ngFileDrop [options]="options" (uploadOutput)="onUploadOutput($event)" [uploadInput]="uploadInput">
                                        <p>
                                            <label class="upload-button">
                                                <input type="file" ngFileSelect [options]="options" (uploadOutput)="onUploadOutput($event)" style="color: transparent;"[uploadInput]="uploadInput" multiple #file_input> 
                                            </label>
                                            <label class="d-block" style="font-size:14px">*Boleta,imagen,videos (hasta 10 archivos)</label>  
                                        </p>
            
                                    </div>
                                <div class="images-list" *ngIf="files.length > 0">
                                    <div class="upload-item" *ngFor="let f of files; let i = index;">
                                        <div class="upload-item-content">
                                        <div class="filename">
                                            <div class="filename-left">
                                            <i class="fas fa-images"></i>
                                            <span>{{ f.name }}</span>
                                            </div>
                                            <div class="filename-right">
                                            <i class="ionicon ion-close-round" (click)="cancelUpload(f.id)"></i>
                                            </div>
                                        </div>
                                    </div>
                                    </div>
                                </div>
                                <button type="submit" class="btn btn-sm btn-warning mt-2" (click)="removeAllFiles()" *ngIf="files.length > 0">Limpiar</button>
                            </div>
                            
                        </div>
                    </div>
                    <div class="col-sm-12 col-md-6">
                        <div class="row">
                            <div class="col-md-4 col-12">
                                <label for="" class="mt-2">Correo electrónico</label>
                            </div>
                            <div class="col-md-8 col-12">    
                                <input type="text" [(ngModel)]="incident.email" class="form-control mt-2" id="user" name="user" placeholder="{{user}}"autocomplete="off" >
                            </div>
                        </div>
                        <div class="row">
                                <div class="col-md-4 col-12">
                                    <label for="" class="mt-2">Teléfono</label>
                                </div>
                            <!-- <div class="col-md-8 col-12 mt-2">
                                    <input type="text"
                                    autocomplete="off"
                                    style="height: 100%"
                                    name="date"
                                    class="form-control"
                                    #dp="bsDatepicker"
                                    bsDatepicker
                                    [maxDate]="maxDate"
                                    [(ngModel)]="incident.sale_date"
                                    name="sale_date"
                                    [bsConfig]="{ dateInputFormat: 'YYYY-MM-DD'}">
                                </div> -->
                                <div class="col-md-8 col-12">    
                                    <input type="text" [(ngModel)]="incident.phone_number" placeholder="+56-9XXXX-XXXX / +56-2XXXX-XXXX" class="form-control mt-2" name= "phone_number" autocomplete="off" >
                                </div>
                            </div>
                        <div class="row">
                            <div class="col-md-4 col-12">
                                <label for="" class="mt-2">Tipo Documento</label>
                            </div>
                            <div class="col-md-8 col-12">    
                                <select name = "incident" [(ngModel)]="incident.document" class="form-control mt-2" name= "type_document">
                                    <option *ngFor = "let doc of documento"  [value]= "doc.name">{{doc.name}}</option>
                                </select>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-4">
                                <label for="" class="mt-2">Nro Documento</label>
                            </div>
                            <div class="col-md-8 col-12">    
                                <input type="text" [(ngModel)]="incident.number_document" class="form-control mt-2" name= "document_number" autocomplete="off" placeholder="Numero Boleta o Factura" >
                            </div>
                        </div>
                        <!-- <div class="row" *ngIf="incident.channel == ' - ' || incident.channel || incident.document == 'Sin Documento' ">
                            <div class="col-md-4 col-12">
                                <label for="" class="mt-2">Canal Venta</label>
                            </div>
                            <div class="col-md-8 col-12">    
                                <select name = "incident" [(ngModel)]="incident.channel" class="form-control mt-2">
                                    <option *ngFor = "let channel of canales"  [value]= "channel.name">{{channel.name}}</option>
                                </select>
                            </div>
                        </div> -->
                        <div class="row">
                            <div class="col-md-4 col-12">
                                <label for="" class="mt-2">Observaciones</label>
                            </div>
                            <div class="col-md-8 col-12">    
                                <textarea class="form-control" ng-trim="false" maxlength="1000" [(ngModel)]="incident.description" rows = "3" class="form-control mt-2" id="user" name="user" placeholder="{{user}}"></textarea>
                                <span>Te quedan {{1000 - incident.description.length}} caracteres</span>
                            </div>
                        </div>
                        
                        <div class="row">
                            <div class="col-12 mt-3">   
                                <ngx-recaptcha2 #captchaElement
                                (expire)="handleExpire()"
                                class="float-right"
                                [siteKey]="siteKey"
                                (reset)="handleReset()"
                                (success)="handleSuccess($event)"
                                [useGlobalDomain]="false"
                                [size]="size"
                                [hl]="lang"
                                [theme]="theme"
                                [type]="type"
                                required>
                              </ngx-recaptcha2>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-12 mt-3"> 
                                    <button type="submit" class="btn btn-success btn-md mt-3 float-right" >Registrar</button>
                            </div>
                        </div>
                    </div>
            </div>
            
        </form>
    </div>
</div>